<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    android:orientation="vertical"
    android:padding="@dimen/custom_margin3dp"
    app:layout_behavior="@string/appbar_scrolling_view_behavior">
    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="@dimen/hieght_180dp"
        app:cardBackgroundColor="@color/bright_red"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="@dimen/custom_margin2dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:background="@android:color/transparent"
            android:weightSum="10">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="5.5"
                android:orientation="vertical"
                android:layout_gravity="center"
                android:gravity="center">
                <com.cpm.lorealbaautomation.constant.RoundedImageView
                    android:id="@+id/round_img_pic"
                    android:layout_width="@dimen/hieght_180dp"
                    android:layout_height="@dimen/hieght_180dp"
                    android:layout_centerInParent="true"
                    android:layout_gravity="center"
                    android:visibility="visible"
                    android:layout_margin="@dimen/custom_margin"
                    android:adjustViewBounds="true"
                    android:src="@mipmap/profile_image" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="4.5"
                android:layout_gravity="center"
                android:gravity="center_vertical"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/profile_user"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:gravity="center_vertical"
                    android:textStyle="bold"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/margin_30dp"
                    android:text="Test"/>

                <TextView
                    android:id="@+id/profile_user_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:gravity="center_vertical"
                    android:textStyle="normal"
                    android:layout_marginTop="@dimen/padding_10dp"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_18sp"
                    android:text="Beauty Advisor"/>

            </LinearLayout>



        </LinearLayout>
    </androidx.cardview.widget.CardView>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="?actionBarSize">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_layout_margin11"
                android:text="Personal Details"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal" />

            <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:padding="@dimen/custom_margin3dp"
            card_view:cardElevation="@dimen/custom_margin3dp"
            card_view:cardBackgroundColor="@color/white"
            card_view:cardCornerRadius="@dimen/custom_margin2dp">

            <LinearLayout
                android:id="@+id/storePlayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
               android:layout_margin="@dimen/custom_margin"
                android:orientation="vertical"
                android:background="@drawable/edit_text_border">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="5dip"
                    android:orientation="horizontal"
                    android:weightSum="10">
                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/employee_code"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium"  />

                    <EditText
                        android:id="@+id/edt_employee_code"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@color/gray"
                        android:enabled="false"
                        android:maxLines="2"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium"  />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/full_name"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium"  />

                    <EditText
                        android:id="@+id/edt_full_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@color/gray"
                        android:inputType="text"
                        android:padding="@dimen/custom_layout_margin11"
                        android:enabled="false"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/supervisor_name"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/supervisor_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="6"
                        android:enabled="false"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:layout_marginRight="@dimen/custom_margin3dp"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:background="@color/gray"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/mobile_no"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_mobile_no"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@drawable/rouded_corner_edittaxt"
                        android:inputType="number"
                        android:padding="@dimen/custom_layout_margin11"
                        android:maxLength="12"
                        android:enabled="false"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="Date Of Birth"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/storeProfile_dob"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="4"
                        android:inputType="text"
                        android:text=""
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <ImageView
                        android:id="@+id/img_dob"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="1.6dp"
                        android:layout_marginRight="1.6dp"
                        android:layout_weight="2"
                        android:layout_gravity="center"
                        android:src="@mipmap/calender" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/padding_10dp"
                    android:orientation="horizontal"
                    android:layout_marginBottom="@dimen/padding_10dp"
                    android:layout_marginLeft="@dimen/custom_layout_margin_50"
                    android:layout_marginRight="@dimen/custom_layout_margin_50"
                    android:weightSum="10">

                    <RadioGroup
                        android:id="@+id/radioGrp"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_gravity="center_vertical"
                       android:clickable="false"
                        android:gravity="center_vertical">

                        <RadioButton
                            android:id="@+id/radioF"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="right"
                            android:layout_weight="1"
                            android:buttonTint="@color/colorPrimary"
                            android:checked="true"
                            android:text="Female"
                            android:clickable="false"
                            android:textSize="@dimen/text_size_medium" />

                        <RadioButton
                            android:id="@+id/radioM"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="left"
                            android:layout_weight="1"
                            android:buttonTint="@color/colorPrimary"
                            android:checked="false"
                            android:text="Male"
                            android:clickable="false"
                            android:textSize="@dimen/text_size_medium" />

                        <RadioButton
                            android:id="@+id/radio_other"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="right"
                            android:layout_weight="1"
                            android:buttonTint="@color/colorPrimary"
                            android:checked="false"
                            android:text="Other"
                            android:clickable="false"
                            android:textSize="@dimen/text_size_medium" />
                    </RadioGroup>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/address"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_address"
                        android:layout_width="0dp"
                        android:layout_height="80dp"
                        android:layout_marginEnd="3dp"
                        android:layout_weight="6"
                        android:background="@drawable/rouded_corner_edittaxt"
                        android:layout_gravity="start|top"
                        android:gravity="start|top"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/landmark"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_landmark"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@drawable/rouded_corner_edittaxt"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/location"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_location"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@drawable/rouded_corner_edittaxt"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/city"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_city"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:padding="@dimen/custom_layout_margin11"
                        android:enabled="false"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:background="@color/gray"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/email_address"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_email"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@drawable/rouded_corner_edittaxt"
                        android:inputType="textEmailAddress"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/instagram_address"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_enstagram_address"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@drawable/rouded_corner_edittaxt"
                        android:padding="@dimen/custom_layout_margin11"
                        android:textColor="@color/black"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:inputType="textEmailAddress"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_layout_margin11"
                android:text="Employee Details"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal" />

        <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:padding="@dimen/custom_margin3dp"
            card_view:cardElevation="@dimen/custom_margin3dp"
            card_view:cardBackgroundColor="@color/white"
            card_view:cardCornerRadius="@dimen/custom_margin2dp">

            <LinearLayout

                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/custom_margin"
                android:orientation="vertical"
                android:background="@drawable/edit_text_border">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/brand"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_brand"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:inputType="text"
                        android:padding="@dimen/custom_layout_margin11"
                        android:enabled="false"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:background="@color/gray"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/counter_teiring"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_counter"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@color/gray"
                        android:padding="@dimen/custom_layout_margin11"
                        android:enabled="false"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/store_name"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_store_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@color/gray"
                        android:inputType="text"
                        android:padding="@dimen/custom_layout_margin11"
                        android:enabled="false"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="15dp"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="Current BP Grade"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />

                    <EditText
                        android:id="@+id/edt_current_bp"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3dp"
                        android:layout_weight="6"
                        android:background="@color/gray"
                        android:padding="@dimen/custom_layout_margin11"
                        android:enabled="false"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

            <com.cpm.lorealbaautomation.utils.NonScrollExpandableListView
                android:id="@+id/list"
                android:layout_width="match_parent"
                android:layout_height="1400dp"
                android:cacheColorHint="#00000000"
                android:divider="@null"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginBottom="@dimen/custom_margin3dp"
                android:dividerHeight="0dp"
                android:scrollingCache="false" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>
